/* LZRES -------------------------------------------------------*
 * Header definition File for LZRES.OBJ and LZRES32.OBJ		*
 * (Decompression of Resources stored inside of LZH-Arhcives)	*
 *	Dipl. Ing. Bernd Herd                    Dipl. Ing Harald Nuding*
 *	Niederstr 36                                                    *
 *	64285 Darmstadt                                                 *
 *	Tel. 06151/664717                       Fax 06151/664740        *
 *      EMail: herdnuding@aol.com               BBS:06151/664741        *
 *--------------------------------------------------------------*/

#ifndef __LZRES_H
#define __LZRES_H

#ifdef __cplusplus
extern "C" {
#endif




// ---------- Definition of a typical LHA-Header ---------
// Normally you will never need this

#ifndef LZEXACT
typedef void FAR *LPLZHEAD;
#else

  typedef struct head {
	char		headersize;
	char 		method[6];
	DWORD		packed;
	DWORD		original;
	short		FTime;
	short		FDate;
	short		FAttr;
	char		FnLen;
	char		Fname[80];
  } LZHEAD, FAR *LPLZHEAD;                // Long Pointer to the Structure

#endif // LZEXACT





// ---------- Decompress LZH-Resource into a Bitmap-Handle -------------
HBITMAP FAR PASCAL
	LoadLZHBitmap(   HINSTANCE hInst, LPCSTR ResId, LPCSTR ArcFile );

// ---------- Decompress LZH-Resource into a Global Handle -------------
HGLOBAL FAR PASCAL
	LoadLZHResource( HINSTANCE hInst, LPCSTR ResId, LPCSTR ArcFile, int iBytesToOmit  );

// ---------- Decompress a Memory-Block containing a LZH-Archiv into a global Handle ---------
HGLOBAL FAR PASCAL
	DecompressLZH( LPLZHEAD SourcePtr, LPCSTR ArcFile, int iBytesToOmit );







#ifdef __cplusplus
}
#endif

#endif  // __LZRES_H
